<h1>AXEL-F</h1>
<h3>Requirements</h3>

Before installing packages from `requirements.txt`, Axel-F requires `tcsh` due to NetMHCpan executable.

<h5>Installing TCSH on Ubuntu</h5>

1. `sudo add-apt-repository universe`
2. `sudo apt update; sudo apt install tcsh`

<h5>To Run it on Mac OS</h5>
Under Mac OS, Axelf won't work properly. The workaround is to run docker container for this.
Building the image :

1. `docker build -t axelf_img .`


<h3>Help</h3>
Locally (on Linux system) :<br>

1. `python run_axelf.py -h` or `python run_axelf.py --help`

Container :

1. `docker run --rm axelf_img python run_axelf.py --help`

<h3>Examples</h3>

**Case 1** : User provides CSV file ('peptide', 'allele', 'tpm').<br>
`python run_axelf.py tests/data/input/sample_input.csv`

Container :
`docker run --rm axelf_img python run_axelf.py tests/data/input/sample_input.csv`
<br><br>

**Case 2** : User provides CSV file without TPM and sets 'tpm_source' as 'tcga'.<br>
`python run_axelf.py tests/data/input/sample_input2.csv -s tcga -c CESC`

Container :
`docker run --rm axelf_img python run_axelf.py tests/data/input/sample_input2.csv -s tcga -c CESC`
<br><br>

**Case 3** : User provides FASTA file with TPM value.<br>
`python run_axelf.py tests/data/input/sample_input.fasta --tpm 3.0 -l 8 -a HLA-A*01:01`

Container :
`docker run --rm axelf_img python run_axelf.py tests/data/input/sample_input.fasta --tpm 3.0 -l 8 -a HLA-A*01:01`
<br><br>

**Case 4** : User provides FASTA file without TPM and sets 'tpm_source' as 'tcga'.<br>
`python run_axelf.py tests/data/input/sample_input.fasta -s tcga -c CESC -g TIGAR -l 8 -a HLA-C12:02`

Container :
`docker run --rm axelf_img python run_axelf.py tests/data/input/sample_input.fasta -s tcga -c CESC -g TIGAR -l 8 -a HLA-C12:02`
